Bug 749815 - booting liveimage to runlevel 3 and then going to runlevel 5 starts firstboot
booting liveimage to runlevel 3 and then going to runlevel 5 starts firstboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-28 10:28 EDT by Oliver Henshaw
Modified: 2013-02-13 10:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:30:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2011-10-28 10:28:41 EDT
Description of problem:

Noticed when tinkering with a live image in runlevel 3 before going to runlevel 5/graphical.target. A normal boot goes straight to the desktop but if I boot to runlevel 3 first, then the graphical firstboot dialog comes up before the desktop.


Steps to Reproduce:
1. Edit boot stanza, add '3' to kernel arguments
2. Login at console
3. 'init 5' or 'systemctl start graphics.target'
  
Actual results:
Firstboot dialogue runs before desktop.

Expected results:
Straight to desktop autologin.


Version-Release number of selected component (if applicable):

First noticed on Fedora-16-Nightly-20111024.10-x86_64-Live-kde.iso, last known good nightly was Fedora-16-Nightly-20111014.10-x86_64-Live-kde.iso. But they both have the same firstboot (and systemd) package:

firstboot-16.4-1.fc16.x86_64
systemd-36-3.fc16.x86_64

What other packages would affect this? Or maybe it was a change in the kickstart file?
Comment 1 Oliver Henshaw 2011-10-28 10:52:08 EDT
http://git.fedorahosted.org/git/?p=spin-kickstarts.git;a=commitdiff;h=5ad2a6e42b1f7605d58a367c30c37341fe2a4684 looks interesting.

In runlevel 3, restoring:
$ echo "RUN_FIRSTBOOT=NO" > /etc/sysconfig/firstboot
fixes things so that firstboot is not run by graphical.target.
Comment 2 Brian Lane 2011-10-28 11:48:03 EDT
Looks like the systemctl commands either aren't doing what they should, or firstboot somehow gets turned back on. It might be best to do both, since firstboot always checks for RUN_FIRSTBOOT
Comment 3 Fedora End Of Life 2013-01-16 09:27:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 10:30:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.